Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000420 [Piwigo] display feature always 2006.06.15 22:04 2009.12.18 22:05
Reporter vincent3569 View Status public  
Assigned To
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 2.0.1 Product Version 1.6.0RC2
  Target Version Product Build
Summary 0000420: amélioration des diaporamas
Description une évolution sympa serait que, lorsqu'un diaporama est lancé, tous les boutons (précédent, suivant, diaporama, ...), voire les thumbnails précédent/suivant ainsi que toutes les infos sur l'image, disparaissent et qu'il ne reste plus que la photo en cours et le lien "arréter le diaporama".

si on veut toutes ces infos, c'est qu'on s'intéresse à une photo en particulier, en dans ce cas, on est pas en mode diaporama.

pour les boutons suivants/précendents, on peut discuter, puisque cela permet de "forcer" le défilement auto du diaporama (il est toujours intéressant zapper une photo moins intéressantes).
par contre, il serait intéressant d'ajouter des boutons de "lecture" du diaporama (pause/lecture par exemple) qui permettrait de suspendre temporairement le diaporama pour profiter pleinement d'une image.
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships
related to 0000120closedplg Advanced slideshow 

-  Notes
(0001073)
nikrou (developer)
2006.06.16 22:41

Pour la "suppression" des éléments non voulus je propose d'intégrer une nouvelle feuille de style css (template-common/diaporama.css) que l'on inclut que lorsqu'on est en mode diaporama. Il suffit dans cette feuille de style de mettre les différents éléments avec la propriété display à none.

Pour ce qui est des pauses/lectures il faut revoir la façon dont fonctionne le diaporama.
(0001125)
chrisaga (developer)
2006.06.24 14:31
edited on: 2006.06.24 14:36

OK pour la solution "feuille de style"
Pour le reste, on a bien la possibilité d'arrêter/reprendre, mais c'est plutôt la foncion de zapping qui n'existe pas.
Les flèches arrêtent le diaporama.

(0001353)
samyyy (reporter)
2006.08.05 16:18

Je trouve l'idée super et j'irai plus loin si ça vous tente...

On aime pas scroller sur le net, et encore moins quand c'est un diaporama (pas le temps), pourquoi ne pas lancer une POPUP Diaporama sur le clique, qui prendrait tout l'écran (calcul de la résolution), limiterai l'affichage à la taille écran (plus de scrolling) et ne laisserait place qu'a la photo qui défile...
on pourrait garder : precedent | stop | lecture | suivant en haut de page...

qu'en pensez vous?
(0001358)
bisounours (reporter)
2006.08.08 09:57

Je suis pour la proposition de samyyy
le problème que mes visiteurs ont, est qu'ils doivent scroller à chaque photo pour l'avoir en pleine page, car le haut de page cache une partie de la photo (800x600).
(0003261)
mathiasm (manager)
2009.12.18 22:05

New templates are proposed.
Template-extensions ease new template delivery
Plugins alos can do so much for this.

- Issue History
Date Modified Username Field Change
2006.06.15 22:04 vincent3569 New Issue
2006.06.15 22:04 vincent3569 browser => any
2006.06.15 22:04 vincent3569 Web server => Apache 1.3.x
2006.06.15 22:05 vincent3569 Issue Monitored: vincent3569
2006.06.15 22:16 nikrou Severity minor => feature
2006.06.15 22:18 nikrou Category language => display
2006.06.15 22:18 nikrou version => 1.6.0RC2
2006.06.16 22:41 nikrou Note Added: 0001073
2006.06.24 14:31 chrisaga Note Added: 0001125
2006.06.24 14:36 chrisaga Note Edited: 0001125
2006.08.05 16:18 samyyy Note Added: 0001353
2006.08.08 09:57 bisounours Note Added: 0001358
2006.08.17 12:17 plg Relationship added related to 0000120
2009.12.18 22:05 mathiasm Note Added: 0003261
2009.12.18 22:05 mathiasm Status new => closed
2009.12.18 22:05 mathiasm Resolution open => fixed
2009.12.18 22:05 mathiasm Fixed in Version => 2.0.1


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker